View Issue Details

IDProjectCategoryView StatusLast Update
0000013FreeCADFeaturepublic2011-01-06 21:27
ReporterJriegelAssigned ToJriegel 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.11Fixed in Version0.11 
Summary0000013: Replace group behavior by Property
DescriptionAt the moment a DocumentObject which have group behavior have to have a
ObjectGroup in the ancestor.
It would be far more flexible to use the LinkList property to determine if
its a group or not.

There for two Types of LinkListProperties have to be implemented. A
aggregating (owning) one and a non aggregating (Linkink) one.

A DocumentObject behaves as a group if its have a aggregating
LinkListProperty.

J├╝rgen
TagsNo tags attached.
FreeCAD Information

Relationships

parent of 0000034 closedJriegel Graph interface for Document 
parent of 0000037 closedwmayer Change tree group behaviour 

Activities

Jriegel

2011-01-06 21:27

administrator   ~0000488

Now the ViewProvider can steer the grouping. See documentation of Gui::ViewProvider for details.

Issue History

Date Modified Username Field Change
2009-09-28 15:27 Jriegel New Issue
2009-09-28 15:51 Jriegel Status new => assigned
2009-09-28 15:51 Jriegel Assigned To => Jriegel
2009-11-06 14:05 Jriegel Target Version => 0.10
2009-11-06 14:10 Jriegel Relationship added parent of 0000034
2009-11-06 14:19 Jriegel Relationship added child of 0000037
2009-11-06 14:20 Jriegel Relationship deleted child of 0000037
2009-11-06 14:20 Jriegel Relationship added parent of 0000037
2010-06-29 13:55 Jriegel Target Version 0.10 => 0.11
2011-01-06 21:27 Jriegel Note Added: 0000488
2011-01-06 21:27 Jriegel Status assigned => closed
2011-01-06 21:27 Jriegel Resolution open => fixed
2011-01-06 21:27 Jriegel Fixed in Version => 0.11